package com.njcn.pojo.commons.area;


import com.njcn.pojo.data.EventDetail;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 区域统计的响应体
 */
public class ReasonStatisc implements Serializable {

	private String cityName;

	private ITICResponseBody itic;

	private F47ResponseBody f47;

	private Integer totalTimes;

	private List<VoltageType> types = new ArrayList<>();

	private List<VoltageReason> reasons = new ArrayList<>();
	
	private List<StatisticsEventDetail> detail=new ArrayList<>();
	

	/**
	 * @return the detail
	 */
	public List<StatisticsEventDetail> getDetail() {
		return detail;
	}

	/**
	 * @param detail the detail to set
	 */
	public void setDetail(List<StatisticsEventDetail> detail) {
		this.detail = detail;
	}

	public Integer getTotalTimes() {
		return totalTimes;
	}

	public void setTotalTimes(Integer totalTimes) {
		this.totalTimes = totalTimes;
	}

	public List<VoltageType> getTypes() {
		return types;
	}

	public void setTypes(List<VoltageType> types) {
		this.types = types;
	}

	public List<VoltageReason> getReasons() {
		return reasons;
	}

	public void setReasons(List<VoltageReason> reasons) {
		this.reasons = reasons;
	}

	public String getCityName() {
		return cityName;
	}

	public void setCityName(String cityName) {
		this.cityName = cityName;
	}

	public ITICResponseBody getItic() {
		return itic;
	}

	public void setItic(ITICResponseBody itic) {
		this.itic = itic;
	}

	public F47ResponseBody getF47() {
		return f47;
	}

	public void setF47(F47ResponseBody f47) {
		this.f47 = f47;
	}


}
